lomiri-api (0.3.2-2) unstable; urgency=medium

  * Team upload
  * Add debian/clean to remove results.txt (Closes: #1048867)
  * Use dh_installdocs to install NEWS

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 28 Aug 2026 16:45:35 +0200

lomiri-api (0.3.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 26 Apr 2026 13:22:49 -0400

lomiri-api (0.3.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 16 Apr 2026 15:18:15 -0400

lomiri-api (0.3.0-2) unstable; urgency=medium

  * Team upload
  * Replace Build-Depends: devscripts with licensecheck <!nocheck>
    (Closes: #1110278)
  * Mark more Build-Depends as only needed for docs or build tests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 12 Apr 2026 09:21:29 -0400

lomiri-api (0.3.0-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * New upstream release
  * Add Lintian override for use of get-orig-source
  * Run wrap-and-sort -at
  * Support nodoc & nocheck build profiles
  * Update Standards Version to 4.7.4

  [ Guido Berhoerster ]
  * debian: Build packages for both Qt 5 and 6

  [ Ratchanan Srirattanamet ]
  * d/control: liblomiri-shell-api{,-qt6}-dev depends on liblomiri-api-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 11 Apr 2026 19:18:48 -0400

lomiri-api (0.2.3-1) unstable; urgency=medium

  * New upstream release.
    - Support building with CMake 4. (Closes: #1113240).
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 01 Oct 2025 16:39:44 +0200

lomiri-api (0.2.2-1) unstable; urgency=medium

  [ Marius Gripsgard ]
  * debian/control:
    + Add myself (mariogrip) as uploader

  [ Mike Gabriel ]
  * New upstream release.
  * debian/patches:
    + Drop 0001-fix-gcc13.patch. Applied upstream.
  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/liblomiri-api0.symbols:
    + Drop file. Symbols for C++ code are discontinued for Lomiri packaging.
  * debian/copyright:
    + Update attributions for debian/.
  * debian/control:
    + In B-D: , switch from pkg-config to pkgconf.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Jan 2025 16:29:40 +0100

lomiri-api (0.2.1-1) unstable; urgency=medium

  * New upstream release v0.2.1
  * debian/patches: Add patch to fix FTBFS with gcc13 (fixes: #1037762)
  * debian/rules: Use default gensymbols check level
  * debian/symbols: Refresh symbols

 -- Marius Gripsgard <mariogrip@debian.org>  Thu, 27 Jul 2023 03:07:52 +0200

lomiri-api (0.2.0-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update Upstream-Contact: field (change mail address).
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/:
    + Update upstream Git repo URL.
  * debian/patches:
    + Drop 2002_no-whitespace-checks-in-debian-folder.patch. Adopted upstream.

  [ Anton Gladky ]
  * debian/.gitlab-ci.yml:
    + Add file.
    + Let blhc fail.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 30 Jan 2023 21:07:24 +0100

lomiri-api (0.1.1-4) unstable; urgency=medium

  * debian/liblomiri-api0.symbols:
    + Mark functions optional that are hidden with -O3 builds. (Closes:
      #980274).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 18 Jan 2021 17:02:23 +0100

lomiri-api (0.1.1-3) unstable; urgency=medium

  * debian/liblomiri-api0.symbols:
    + Update symbols using pkgkde-symbolshelper.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 27 Sep 2020 20:32:56 +0200

lomiri-api (0.1.1-2) unstable; urgency=medium

  * debian/patches:
    + Add 2002_no-whitespace-checks-in-debian-folder.patch.
      Ignore whitespace flaws in debian/ folder. This is not upstream's
      business.
  * debian/source/lintian-overrides:
    + Not required anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 26 Sep 2020 21:21:42 +0200

lomiri-api (0.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patch:
    + Drop patches 0001, 0002 and 1001. All applied upstream.
  * debian/liblomiri-api0.symbols:
    + Update file for 0.1.1/amd64.
  * debian/control:
    + Bump DH compat level to version 13.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 26 Sep 2020 13:26:22 +0200

lomiri-api (0.1.0-7) unstable; urgency=medium

  * debian/control:
    + Fix Vcs-*: URLs.
  * debian/liblomiri-api0.symbols
    + Update symbols using pkgkde-symbolshelper.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 08 Sep 2020 14:44:38 +0200

lomiri-api (0.1.0-6) unstable; urgency=medium

  * debian/liblomiri-api0.symbols:
    + Update symbols for arm64, riscv64 and sh4.
  * debian/rules:
    + Include buildflags.mk.
    + Drop explicit DEB_LDFLAGS_MAINT_APPEND (--as-needed). Now the default.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 07 Sep 2020 21:28:19 +0200

lomiri-api (0.1.0-5) unstable; urgency=medium

  * debian/liblomiri-api0.symbols:
    + Update for amd64 arm64 armel armhf i386 m68k mips64el mipsel powerpc
      ppc64 ppc64el s390x x32.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 19 Apr 2020 10:09:06 +0200

lomiri-api (0.1.0-4) unstable; urgency=medium

  * debian/patches:
    + Add 2001_disable-GioMemory_test.patch. Disable GioMemory_test as it fails
      on Debian's buildd infrastructure.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 18 Apr 2020 23:13:51 +0200

lomiri-api (0.1.0-3) unstable; urgency=medium

  * debian/control:
    + Add B-D: dbus-test-runner.
  * debian/rules:
    + Run unit tests in dbus-test-runner wrapped environment. Thanks to Lukas
      Weiss from postmarketOS for providing the hint. Let's hope unit tests
      now succeed.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 18 Apr 2020 21:48:16 +0200

lomiri-api (0.1.0-2) unstable; urgency=medium

  * debian/liblomiri-api0.symbols:
    + Update for m68k, ppc64, x32.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 16 Apr 2020 22:30:53 +0200

lomiri-api (0.1.0-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #952728).

  * debian/*:
    + Downgrade SOVERSION to 0 (in coordination with upstream).
  * debian/patches:
    + Add 0001_remove-smart-pointer-from-GRefString.patch. Fix FTBFS during
      unit tests in Debian bullseye and Ubuntu focal.
    + Add 0002_NEWS-Fix-project-name.patch.
  * debian/control:
    + Make Debian UBports Team maintainer; add myself to Uploaders: field.
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Add Vcs-*: fields.
    + Make SYNOPSES and LONG_DESCRIPTIONs more verbose.
    + Add Rules-Requires-Root: field and set it to 'no'.
    + Drop from B-D: g++:native (unversioned).
    + Drop from B-D: qt5-default (meta package).
    + Add B-Ds: symlinks, rdfind.
    + Add B-D pkg-kde-tools.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH compat level to version 12.
  * debian/{control,copyright,watch}:
    + Switch upstream location to UBports' GitLab.
  * debian/copyright:
    + Add auto-generated copyright.in file.
    + Use secure Format: URL.
    + Add debian/* copyright info. Fix line length in short license text. Add
      Upstream-Contact: field.
    + Detailed file list copyright style.
  * debian/rules:
    + Move --fail-missing into dh_missing; Drop --parallel.
    + Add get-orig-source target.
    + Set hardening build flags.
    + Set QT_SELECT to 5.
    + Enable pkgkde_symbolshelper support in debhelper.
    + Use upstream's NEWS file as upstream ChangeLog.
  * debian/{rules,liblomiri-api-doc.install}:
    + Fix API doc installation location, symlink duplicate files.
  * debian/liblomiri-api0.symbols:
    + Ship symbols for amd64 builds (other archs still pending).
  * debian/liblomiri-api-doc.doc-base:
    + Add file.
  * debian/source/format:
    + Add file (3.0 (quilt)).
  * debian/source/lintian-overrides:
    + Override odd-historical-debian-changelog-version.
  * debian/upstream/metadata:
    + Add file, comply with DEP-12.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 28 Feb 2020 16:19:25 +0100

unity-api (8.8+ubports) xenial; urgency=medium

  * Imported to UBports

 -- UBports auto importer <infra@ubports.com>  Tue, 20 Feb 2018 23:53:49 +0100

unity-api (8.7+17.04.20170404-0ubuntu1) zesty; urgency=medium

  [ Pete ]
  * Add Glib and GObject Assigner helpers.

  [ Pete Woods ]
  * unity::util - Add glib signal managers

  [ Rodney Dawes ]
  * Add utility function to prepend $SNAP to directory paths.

 -- Pete Woods <pete.woods@canonical.com>  Tue, 04 Apr 2017 09:37:43 +0000

unity-api (8.7) UNRELEASED; urgency=medium

  * Add popularity field to LauncherItem

 -- Michael Zanetti <michael.zanetti@canonical.com>  Tue, 04 Apr 2017 10:26:39 +0200

unity-api (8.6+17.04.20170317-0ubuntu1) zesty; urgency=medium

  [ Michael Zanetti ]
  * Add appId property to MirSurfaceInterface

  [ Pete Woods ]
  * unity::util - unique_gobject and share_gobject now throw for
    floating references (LP: #1672657)

 -- Lukáš Tinkl <lukas.tinkl@canonical.com>  Fri, 17 Mar 2017 11:08:20 +0000

unity-api (8.5) UNRELEASED; urgency=medium

  [ Michael Zanetti ]
  * Add RoleIsPrivate to launcher's quicklist entries

  [ Daniel d'Andrada ]
  * MirSurfaceInterface::allowClientResize

 -- Michael Zanetti <michael.zanetti@canonical.com>  Fri, 24 Feb 2017 13:57:12 +0000

unity-api (8.4+17.04.20170223-0ubuntu1) zesty; urgency=medium

  [ Pete Woods ]
  * unity::util - Make Glib and GObject memory management
    utilities handle NULL quietly.

 -- Pete Woods <pete.woods@canonical.com>  Thu, 23 Feb 2017 11:22:37 +0000

unity-api (8.3+17.04.20170217-0ubuntu1) zesty; urgency=medium

  [ Pete ]
  * unity::util - Add typedef macros to GlibMemory to make method
    and member variable definitions easier.

 -- Pete Woods <pete.woods@canonical.com>  Fri, 17 Feb 2017 14:12:04 +0000

unity-api (8.2+17.04.20170206-0ubuntu1) zesty; urgency=medium

  [ Daniel d'Andrada ]
  * MirSurfaceInterface: add childSurfaceList and parentSurface

 -- Albert Astals Cid <albert.astals@canonical.com>  Mon, 06 Feb 2017 09:11:03 +0000

unity-api (8.1+17.04.20170120.1-0ubuntu1) zesty; urgency=medium

  [ Pete ]
  * unity::util - add GObject shared memory utility classes
    and helper methods.
  * unity::util - add Glib memory management utility functions.

 -- Lukáš Tinkl <lukas.tinkl@canonical.com>  Fri, 20 Jan 2017 17:08:56 +0000

unity-api (8.1) UNRELEASED; urgency=medium

  * Added Mir::currentKeymap

 -- Lukáš Tinkl <lukas.tinkl@canonical.com>  Fri, 30 Sep 2016 13:20:00 +0200

unity-api (8.0+17.04.20170110.1-0ubuntu1) zesty; urgency=medium

  [ Albert Astals Cid ]
  * Enable -Wsuggest-override
  * Use the new Q_ENUM (Qt 5.5)

  [ Nick Dedekind ]
  * Fully qualify pointer type namespaces in signals so that the
    parameters can be used in qml.

 -- Timo Jyrinki <timo.jyrinki@canonical.com>  Tue, 10 Jan 2017 06:42:45 +0000

unity-api (8.0+17.04.20161215-0ubuntu1) zesty; urgency=medium

  * unity::shel::application - changes for the miral way of doing things

 -- Daniel d'Andrada <daniel.dandrada@canonical.com>  Thu, 15 Dec 2016 16:16:07 +0000

unity-api (7.121+17.04.20161205-0ubuntu1) zesty; urgency=medium

  * Add AppDrawerModelInterface

 -- Michael Zanetti <michael.zanetti@canonical.com>  Mon, 05 Dec 2016 15:20:31 +0000

unity-api (7.120+17.04.20161123-0ubuntu1) zesty; urgency=medium

  [ Andrea Azzarone ]
  * Add hasSeparator role to quicklistModel.

  [ Marcus Tomlinson ]
  * Don't rely on glib error message strings in IniParser_test (LP:
    #1642673)

 -- Andrea Cimitan <andrea.cimitan@canonical.com>  Wed, 23 Nov 2016 12:11:04 +0000

unity-api (7.119+16.10.20160909-0ubuntu1) yakkety; urgency=medium

  [ Daniel d'Andrada ]
  * Added MirSurfaceInterface::confinesMousePointer

 -- Michał Sawicz <michal.sawicz@canonical.com>  Fri, 09 Sep 2016 14:39:28 +0000

unity-api (7.118+16.10.20160830-0ubuntu1) yakkety; urgency=medium

  [ Nick Dedekind ]
  * Added persistent Id property for MirSurface

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 30 Aug 2016 13:40:30 +0000

unity-api (7.117+16.10.20160819-0ubuntu1) yakkety; urgency=medium

  * Removed empty unreleased entry from changelog. (LP: #1613563)

 -- Michi Henning <michi@triodia.com>  Fri, 19 Aug 2016 22:16:23 +0000

unity-api (7.117+16.10.20160810-0ubuntu1) yakkety; urgency=medium

  [ Daniel d'Andrada ]
  * ApplicationInfoInterface: remove "stage" property
  * ApplicationManagerInterface: remove "stage" role

 -- Michał Sawicz <michal.sawicz@canonical.com>  Wed, 10 Aug 2016 08:20:08 +0000

unity-api (7.116+16.10.20160805-0ubuntu1) yakkety; urgency=medium

  * Remove unnecessary Boost dependency from package.

 -- James Henstridge <james.henstridge@canonical.com>  Fri, 05 Aug 2016 04:08:06 +0000

unity-api (7.116+16.10.20160730-0ubuntu1) yakkety; urgency=medium

  [ Michał Sawicz ]
  * Don't run tests on powerpc (LP: #1606927)

  [ Stephen Kelly ]
  * Silence some gcc warnings.

 -- Lukáš Tinkl <lukas.tinkl@canonical.com>  Sat, 30 Jul 2016 21:18:50 +0000

unity-api (7.116+16.10.20160620-0ubuntu1) yakkety; urgency=medium

  * MirSurfaceInterface: add inputBounds property

 -- Daniel d'Andrada <daniel.dandrada@canonical.com>  Mon, 20 Jun 2016 14:39:15 +0000

unity-api (7.115+16.10.20160614-0ubuntu1) yakkety; urgency=medium

  [ Michael Zanetti ]
  * Drop Launchermodel::setAlerting, it's not needed

 -- Albert Astals Cid <albert.astals@canonical.com>  Tue, 14 Jun 2016 08:34:16 +0000

unity-api (7.114) UNRELEASED; urgency=medium

  * Add ApplicationInfoInterface::surfaceCount property

 -- Michael Zanetti <michael.zanetti@canonical.com>  Mon, 09 May 2016 18:43:38 +0200

unity-api (7.113+16.10.20160525-0ubuntu1) yakkety; urgency=medium

  [ Daniel d'Andrada ]
  * Remove hotspot property from MirMousePointerInterface

  [ Albert Astals Cid ]
  * Mark roleNames as override

  [ Michi Henning ]
  * Re-enabled license/copyright test for xenial. (LP: #1194867)

 -- Michael Terry <michael.terry@canonical.com>  Wed, 25 May 2016 06:02:38 +0000

unity-api (7.112+16.04.20160518-0ubuntu1) xenial; urgency=medium

  [ Daniel d'Andrada ]
  * Move promptSurfaceList from MirSurfaceInterface to ApplicationInfoInterface
  * Added MirSurfaceListInterface::first property

  [ CI Train Bot ]
  * No-change rebuild.

 -- Nick Dedekind <ci-train-bot@canonical.com>  Wed, 18 May 2016 09:31:07 +0000

unity-api (7.111+16.04.20160426.2-0ubuntu1) xenial; urgency=medium

  [ Pawel Stolowski ]
  * Added RoleSocialActions to ResultsModelInterface of scopes.
  * Added ExpandableFilterWidgetInterface.

  [ CI Train Bot ]
  * No-change rebuild.

 -- Pawel Stolowski <ci-train-bot@canonical.com>  Tue, 26 Apr 2016 15:31:50 +0000

unity-api (7.110+16.04.20160413-0ubuntu1) xenial; urgency=medium

  [ Daniel d'Andrada ]
  * MirSurfaceInterface: replace keymapLayout and keymapVariant with keymap
  * Unity.Application: Added and refactored APIs for surface-based window management

  [ CI Train Bot ]
  * No-change rebuild.

 -- Gerry Boland <ci-train-bot@canonical.com>  Wed, 13 Apr 2016 18:39:21 +0000

unity-api (7.109+16.04.20160405-0ubuntu1) xenial; urgency=medium

  [ Marcus Tomlinson ]
  * Add set*() methods to IniParser

  [ CI Train Bot ]
  * No-change rebuild.

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Tue, 05 Apr 2016 06:03:34 +0000

unity-api (7.108+16.04.20160322-0ubuntu1) xenial; urgency=medium

  [ Lukáš Tinkl, Michał Sawicz ]
  * Add API for setting keyboard layout+variant on a surface (LP:
    #1524400, #1491340)

  [ Nick Dedekind ]
  * Added setStage for sidestage redesign.
  * Added support for low shell chrome (LP: #1535397)

  [ Pawel Stolowski ]
  * Base interfaces for filters.
  * Interface for RangeInputFilter.
  * ValueSliderFilter interface.

 -- Michael Zanetti <michael.zanetti@canonical.com>  Tue, 22 Mar 2016 07:48:55 +0000

unity-api (7.107+16.04.20160223-0ubuntu1) xenial; urgency=medium

  * Removed PreviewStackInterface, modified ScopeInterface to return
    PreviewModelInterface on preview().
  * Interface for activationInProgress flag. (LP: #1537132)

 -- Pawel Stolowski <ci-train-bot@canonical.com>  Tue, 23 Feb 2016 12:12:26 +0000

unity-api (7.106+16.04.20160211.1-0ubuntu1) xenial; urgency=medium

  [ Daniel d'Andrada ]
  * Added ApplicationInfoInterface.initialSurfaceSize (LP: #1532974)
  * MirSurfaceInterface: added size hints

 -- Michał Sawicz <michal.sawicz@canonical.com>  Thu, 11 Feb 2016 23:53:29 +0000

unity-api (7.105+16.04.20160104-0ubuntu1) xenial; urgency=medium

  [ Michael Zanetti ]
  [Albert Astals Cid ]
  * New property to support more complex cards

  [ CI Train Bot ]
  * No-change rebuild.

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 04 Jan 2016 15:09:55 +0000

unity-api (7.104+16.04.20151207-0ubuntu1) xenial; urgency=medium

  [ Daniel d'Andrada ]
  * Add MirSurfaceItem.fillMode

  [ Michael Terry ]
  * Added ApplicationInfoInterface::exemptFromLifecycle

  [ CI Train Bot ]
  * No-change rebuild.

 -- Gerry Boland <ci-train-bot@canonical.com>  Mon, 07 Dec 2015 16:21:29 +0000

unity-api (7.103+16.04.20151125-0ubuntu1) xenial; urgency=medium

  [ Daniel d'Andrada ]
  * Added MirMousePointerInterface::setCustomCursor
  * Added MirMousePointerInterface::handleWheelEvent

  [ CI Train Bot ]
  * No-change rebuild.

 -- Michał Sawicz <michal.sawicz@canonical.com>  Wed, 25 Nov 2015 14:13:25 +0000

unity-api (7.102+16.04.20151124-0ubuntu1) xenial; urgency=medium

  * Depend on devscripts, needed by licensecheck. Disable licensecheck
    on xenial for now.

 -- Pawel Stolowski <ci-train-bot@canonical.com>  Tue, 24 Nov 2015 12:01:48 +0000

unity-api (7.102+16.04.20151109-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

 -- Michael Zanetti <michael.zanetti@canonical.com>  Mon, 09 Nov 2015 14:40:51 +0000

unity-api (7.102+16.04.20151102-0ubuntu1) xenial; urgency=medium

  [ Nick Dedekind ]
  * Added visibility to surface interface.

  [ Michael Terry ]
  * Add isTouchApp to ApplicationInfoInterface

  [ CI Train Bot ]
  * New rebuild forced.

 -- Michał Sawicz <michal.sawicz@canonical.com>  Mon, 02 Nov 2015 11:23:42 +0000

unity-api (7.102-0ubuntu1) UNRELEASED; urgency=medium

  * New method for in-card actions.

 -- Pawel Stolowski <pawel.stolowski@canonical.com>  Tue, 06 Oct 2015 18:06:37 +0200

unity-api (7.101+15.10.20151021-0ubuntu1) wily; urgency=medium

  [ Daniel d'Andrada ]
  * unity/shell/application: Add Mir.cursorName
  * unity/shell/application: Added MirMousePointerInterface.h
  * unity/shell/application: Added MirPlatformCursor.h

  [ Lukáš Tinkl ]
  * unity/shell/application: Add MirSurfaceInterface.nameChanged

  [ CI Train Bot ]
  * New rebuild forced.

  [ Michał Sawicz ]
  * Resync trunk

 -- Michał Sawicz <michal.sawicz@canonical.com>  Wed, 21 Oct 2015 11:48:38 +0000

unity-api (7.100+15.10.20150903-0ubuntu1) wily; urgency=medium

  [ Michal Sawicz ]
  * No change rebuild to resync vivid+overlay and wily

  [ CI Train Bot ]
  * No-change rebuild.

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 03 Sep 2015 08:54:03 +0000

unity-api (7.100+15.04.20150827-0ubuntu1) vivid; urgency=medium

  [ Daniel d'Andrada ]
  * Added MirSurface and MirSurfaceItem interfaces

  [ CI Train Bot ]
  * No-change rebuild.

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 27 Aug 2015 08:50:45 +0000

unity-api (7.99+15.04.20150811-0ubuntu1) vivid; urgency=medium

  * New rebuild forced.

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 11 Aug 2015 14:05:55 +0000

unity-api (7.99+15.04.20150804-0ubuntu1) vivid; urgency=medium

  [ Daniel d'Andrada ]
  * Remove ApplicationManagerInterface.forceDashActive
  * Remove ApplicationManagerInterface.suspended
  * Add ApplicationInfoInterface.requestedState
  * Add a NO_TESTS options to cmake

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 04 Aug 2015 15:26:16 +0000

unity-api (7.99-0ubuntu1) UNRELEASED; urgency=medium

  * Changes to activate and preview methods of ScopeInterface.

 -- Pawel Stolowski <pawel.stolowski@canonical.com>  Mon, 03 Aug 2015 14:03:47 +0000

unity-api (7.98+15.04.20150724-0ubuntu1) vivid; urgency=medium

  [ Mirco Müller (MacSlow) ]
  * added alerting/setAlerting API to LauncherModel and LauncherItem interfaces

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 24 Jul 2015 09:53:01 +0000

unity-api (7.97+15.10.20150721-0ubuntu1) wily; urgency=medium

  [ Michi Henning ]
  * Remove dependency on gcc 4.9. (LP: #1452342)

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 21 Jul 2015 05:13:26 +0000

unity-api (7.97+15.10.20150611-0ubuntu1) wily; urgency=medium

  [ Daniel d'Andrada ]
  * add supportedOrientations and rotatesWindowContents to ApplicationInfo

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 11 Jun 2015 09:11:57 +0000

unity-api (7.96+15.04.20150410.2-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Michi Henning ]
  * Reverted commit 93 because it cost me a cool 1.5 hours today. Turns
    out that libmcheck is not thread-safe and causes the most amazing
    crashes in unpredictable ways :-(

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 10 Apr 2015 16:07:39 +0000

unity-api (7.96+15.04.20150213-0ubuntu1) vivid; urgency=medium

  [ Pawel Stolowski ]
  * Added close method to scopes interface.

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 13 Feb 2015 15:15:59 +0000

unity-api (7.95+15.04.20150211-0ubuntu1) vivid; urgency=medium

  [ Michael Zanetti ]
  * add onlyPinned property to launcher model

  [ Michał Sawicz ]
  * Add :native to g++ dependency for cross-building and wrap-and-sort
    for good measure. Python needs :any, too. (LP: #1353855)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 11 Feb 2015 16:28:29 +0000

unity-api (7.94+15.04.20141205-0ubuntu1) vivid; urgency=medium

  [ Albert Astals Cid ]
  * Add setFavorite/moveFavoriteTo

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 05 Dec 2014 10:51:44 +0000

unity-api (7.93+15.04.20141104-0ubuntu1) vivid; urgency=medium

  [ Michael Zanetti ]
  * add a signal to the launcher model to hint changes

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 04 Nov 2014 14:42:57 +0000

unity-api (7.92+14.10.20141003.1-0ubuntu1) utopic; urgency=medium

  [ Michael Zanetti ]
  * Add dashActive property to application api

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 03 Oct 2014 16:52:41 +0000

unity-api (7.91+14.10.20140922.1-0ubuntu1) utopic; urgency=medium

  [ Daniel d'Andrada ]
  * Added splash screen data do ApplicationInfoInterface

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 22 Sep 2014 17:35:28 +0000

unity-api (7.90+14.10.20140918-0ubuntu1) utopic; urgency=medium

  [ Michael Zanetti ]
  * add countVisible property
  * allow updating item's name and icon properties. They might change in case of updates

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 18 Sep 2014 16:42:26 +0000

unity-api (7.89+14.10.20140825-0ubuntu1) utopic; urgency=medium

  [ Daniel d'Andrada ]
  * Remove all mentions to screenshotting from the API

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 25 Aug 2014 07:04:31 +0000

unity-api (7.88+14.10.20140806-0ubuntu1) utopic; urgency=medium

  [ Michal Hruby ]
  * Define scopes interface version 4

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 06 Aug 2014 19:32:56 +0000

unity-api (7.87+14.10.20140731-0ubuntu1) utopic; urgency=medium

  [ Michal Hruby ]
  * Added interface definition for scopes overview.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 31 Jul 2014 11:14:00 +0000

unity-api (7.86+14.10.20140718.1-0ubuntu1) utopic; urgency=medium

  [ Michi Henning ]
  * Explicitly select g++-4.9 to prevent ABI breakage.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 18 Jul 2014 16:20:15 +0000

unity-api (7.85+14.10.20140708-0ubuntu1) utopic; urgency=medium

  [ Marcus Tomlinson ]
  * Add settings support for shell

  [ Michal Hruby ]
  * Added header links CategoriesInterface and performQuery() to
    ScopeInterface

  [ Michi Henning ]
  * A few minor fixes to the doc comments for comparison operators.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 08 Jul 2014 15:06:24 +0000

unity-api (7.84+14.10.20140702.2-0ubuntu1) utopic; urgency=medium

  [ Michal Hruby ]
  * Added IniParser::get_locale_string_array

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 02 Jul 2014 15:17:16 +0000

unity-api (7.83+14.10.20140626-0ubuntu1) utopic; urgency=medium

  [ Michal Hruby ]
  * Added customizations property to ScopeInterface.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 26 Jun 2014 11:05:05 +0000

unity-api (7.82+14.10.20140616-0ubuntu1) utopic; urgency=medium

  [ Albert Astals Cid ]
  * Add interfaces for scope departments.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 16 Jun 2014 14:45:10 +0000

unity-api (7.81+14.10.20140528-0ubuntu1) utopic; urgency=low

  [ Michael Zanetti ]
  * properly parent mock items otherwise QML deletes them as of 5.2 (LP:
    #1318889)
  * properly parent MockApplicationInfo objects in the mock plugin. QML
    might delete them otherwise.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 28 May 2014 10:38:05 +0000

unity-api (7.81+14.10.20140520-0ubuntu1) utopic; urgency=medium

  [ Albert Astals Cid ]
  * Add interfaces for scopes.

  [ Jussi Pakkanen ]
  * Add missing include so compilation works with pch disabled.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 20 May 2014 12:05:11 +0000

unity-api (7.80.8+14.10.20140505-0ubuntu1) utopic; urgency=medium

  [ Mirco Müller (MacSlow) ]
  * Bump unity-notification version due to exposure of NotificationModel's Roles-Enum.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 05 May 2014 12:02:22 +0000

unity-api (7.80.7+14.10.20140428.1-0ubuntu1) utopic; urgency=medium

  [ Michal Hruby ]
  * Added IniParser::get_locale_string()

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 28 Apr 2014 17:28:16 +0000

unity-api (7.80.6+14.04.20140402-0ubuntu1) trusty; urgency=low

  [ Mirco Müller ]
  * The data-roles of the NotificationModel to should be exposed to QML.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 02 Apr 2014 17:42:41 +0000

unity-api (7.80.6+14.04.20140401-0ubuntu1) trusty; urgency=medium

  [ Michael Zanetti ]
  * Bump version for Application api changes

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 01 Apr 2014 22:41:05 +0000

unity-api (7.80.5+14.04.20140304-0ubuntu1) trusty; urgency=low

  [ CI bot ]
  * No change rebuild against Qt 5.2.1.

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 04 Mar 2014 13:52:36 +0000

unity-api (7.80.5+14.04.20140120-0ubuntu2) UNRELEASED; urgency=medium

  * Made calls to IniParser constructor and destructor thread-safe. Without
    this, if the destructor is called from a different thread than the constructor,
    we get complaints from thread sanitizer.

 -- Michi Henning <michi.henning@canonical.com>  Tue, 18 Feb 2014 10:29:04 +1000

unity-api (7.80.5+14.04.20140120-0ubuntu1) trusty; urgency=low

  [ Jussi Pakkanen ]
  * Remove deprecated NonCopyable base class.

  [ Michi Henning ]
  * Removed final semicolon from NONCOPYABLE macro. This makes the usage
    consistent with the UNITY_DEFINES_PTRS macro, which also does not
    include the semicolon.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 119

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 20 Jan 2014 16:05:43 +0000

unity-api (7.80.5+14.04.20131219.1-0ubuntu1) trusty; urgency=low

  [ Michi Henning ]
  * Changed unity::Exception::what() to return the same text as unity::Exception::to_string().

  [ Michal Hruby ]
  * Expose full version including micro version number in pc file.

  [ Jussi Pakkanen ]
  * Made noncopyable a macro.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 116

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 19 Dec 2013 21:07:55 +0000

unity-api (7.80.4+14.04.20131126.2-0ubuntu1) trusty; urgency=low

  [ Michal Hruby ]
  * Added pkg-config module unity-shell-api.

  [ Albert Astals ]
  * Avoid cmake warnings CMake Warning (dev) in CMakeLists.txt: Syntax
    Warning in cmake code at /home/tsdgeos_work/phablet/unity-api/unity-
    api/CMakeLists.txt:53:88 Argument not separated from preceding token
    by whitespace. This warning is for project developers. Use -Wno-dev
    to suppress it. CMake Warning (dev) in CMakeLists.txt: Syntax
    Warning in cmake code at /home/tsdgeos_work/phablet/unity-api/unity-
    api/CMakeLists.txt:53:107 Argument not separated from preceding
    token by whitespace. This warning is for project developers. Use -
    Wno-dev to suppress it. .

  [ Michi Henning ]
  * Don't set -fno-permissive when compiling with clang because clang
    produces an "ignored" warning for this flag. Set -
    DGTEST_USE_OWN_TR1_TUPLE=1 to make tests compile with clang.
  * Fix warning from clang when building libgtest about unused field.
  * Removed obsolete doxygen config variable that caused a warning
    during the build.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 112

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 26 Nov 2013 19:42:23 +0000

unity-api (7.80.3+13.10.20130927.1-0ubuntu1) saucy; urgency=low

  [ Michi Henning ]
  * Changed pkgconfig to use absolute path for Libs, so things will work
    if the package is installed in a non-standard location.
  * Reverting commit 89, which added -D_GLIBCXX_DEBUG. This has truly
    hideous consequences when calling cross-library and passing STL
    types. If not all libraries involved are compiled with the same
    flag, the code links and runs and, in many cases, will work, except
    in some cases, where suddenly the stack gets trashed, the code
    segfaults on a memory allocation, or similar.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 106

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 27 Sep 2013 10:32:57 +0000

unity-api (7.80.3+13.10.20130912-0ubuntu1) saucy; urgency=low

  [ Michael Zanetti ]
  * update Launcher API to make use of the new ApplicationManager api.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 103

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 12 Sep 2013 13:45:40 +0000

unity-api (7.80.3+13.10.20130911-0ubuntu1) saucy; urgency=low

  [ Gerry Boland ]
  * Shell::Application: Apply Q_ENUMS to the Roles enum so
    implementations can use it.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 101

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 11 Sep 2013 00:29:43 +0000

unity-api (7.80.3+13.10.20130905.2-0ubuntu1) saucy; urgency=low

  [ Gerry Boland ]
  * AppManager: change startApplication to return ApplicationInfo, is
    useful for shell.

  [ Michael Zanetti ]
  * add applicationFocused method to LauncherModelInterface.
  * add focused role to model.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 99

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 05 Sep 2013 10:47:48 +0000

unity-api (7.80.3+13.10.20130904-0ubuntu1) saucy; urgency=low

  [ Gerry Boland ]
  * ApplicationManagerInterface: adjust API to use appId for app
    start/stop/focus. Return ApplicationInfoInterface only in get(index)
    and the new findApplication(appId) methods.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 95

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 04 Sep 2013 03:02:27 +0000

unity-api (7.80.3+13.10.20130903.1-0ubuntu1) saucy; urgency=low

  [ Jussi Pakkanen ]
  * Use glibc's memory validator.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 93

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 03 Sep 2013 06:09:20 +0000

unity-api (7.80.3+13.10.20130902-0ubuntu1) saucy; urgency=low

  [ Michael Zanetti ]
  * Add Ubuntu.Application API, including tests and a mock
    implementation.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 91

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 02 Sep 2013 02:29:21 +0000

unity-api (7.80.3+13.10.20130826.2-0ubuntu1) saucy; urgency=low

  [ Jussi Pakkanen ]
  * Enable validating STL on debug builds.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 89

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 26 Aug 2013 10:08:34 +0000

unity-api (7.80.3+13.10.20130826.1-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 87

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 26 Aug 2013 06:08:18 +0000

unity-api (7.80.3+13.10.20130826-0ubuntu1) saucy; urgency=low

  [ Michael Zanetti ]
  * Add setUser method to LauncherModel.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 86

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 26 Aug 2013 02:31:24 +0000

unity-api (7.80.3+13.10.20130820.2-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 84

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 20 Aug 2013 10:09:27 +0000

unity-api (7.80.3+13.10.20130820.1-0ubuntu1) saucy; urgency=low

  [ Michael Zanetti ]
  * Add a role, clickable to quicklistModel which determines if the
    entry can be clicked or not.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 82

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 20 Aug 2013 06:08:22 +0000

unity-api (7.80.3+13.10.20130820-0ubuntu1) saucy; urgency=low

  [ Michael Zanetti ]
  * Add a role, clickable to quicklistModel which determines if the
    entry can be clicked or not.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 82

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 20 Aug 2013 02:08:23 +0000

unity-api (7.80.3+13.10.20130801-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 80

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 01 Aug 2013 14:30:16 +0000

unity-api (7.80.3+13.10.20130729ubuntu.unity.next-0ubuntu1) saucy; urgency=low

  [ Michi Henning ]
  * Changed DefinesPtrs to a macro. That way, we don't need a virtual
    destructor, and the generated typedefs can be used with POD types.
    The macro also prevents ambiguous names that were caused by the
    template for classes in a derivation hierarchy.
  * Added UNITY_DEFINES_PTRS (needed by scopes). Added coverage
    suppresssion for unreachable line of code.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 79 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 29 Jul 2013 03:40:54 +0000

unity-api (7.80.3+13.10.20130709ubuntu.unity.next-0ubuntu1) saucy; urgency=low

  [ Michael Zanetti ]
  * added quicklist support to launcher api

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 76 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 09 Jul 2013 02:58:47 +0000

unity-api (7.80.2+13.10.20130703ubuntu.unity.next-0ubuntu1) saucy; urgency=low

  [ Michał Sawicz ]
  * Do not require any particular version of boost.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 74 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 03 Jul 2013 02:35:04 +0000

unity-api (7.80.2+13.10.20130702ubuntu.unity.next-0ubuntu1) saucy; urgency=low

  [ Didier Roche ]
  * Add a better package description.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 72 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 02 Jul 2013 02:31:07 +0000

unity-api (7.80.2+13.10.20130627ubuntu.unity.next-0ubuntu1) saucy; urgency=low

  [ Didier Roche ]
  * Fix packaging to follow daily release guidelines
  * Automatic snapshot from revision 67 (bootstrap)

  [ Michi Henning ]
  * Changed "Lesser GNU General Public License" to "GNU Lesser General
    Public License" throughout. Fixed five files that used GPL instead
    of LGPL. licensecheck comes up clean now, reporting LGPL v3 for
    everything. (LP: #1194867)
  * Renamed COPYING.LIB -> COPYING. (LP: #1194867)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 70 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 27 Jun 2013 09:48:56 +0000

unity-api (7.80.1) saucy; urgency=low

  * This project forked from lp:unity/phablet. Updating the versioning to
    reflect that.

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Tue, 04 Jun 2013 16:06:54 -0300

unity-api (0.2) saucy; urgency=low

  * Releasing for saucy.

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Tue, 04 Jun 2013 02:16:12 -0300

unity-api (0.1) raring; urgency=low

  * Initial release

 -- Michał Sawicz <michal.sawicz@canonical.com>  Fri, 10 May 2013 12:43:53 +0200
